System.Design 2.0.0.0 System.Object System.IDisposable System.IServiceProvider

The class is designed to be a container of objects. It provides common services that handle event routing between designers, property windows, and other global objects. Using is optional, but it is recommended if you intend to have several designer windows.

The class provides several design-time services automatically. You can override each of these services by replacing them in the protected property. To replace a service, override the constructor, call base, and make any changes through the protected property. All services added to the service container that implement the interface are disposed when the design surface manager is disposed. The class provides the interface as the default service. provides a global eventing mechanism for designer events. With this mechanism, an application is informed when a designer becomes active. The service provides a collection of designers and a single place where global objects, such as the Properties window, can monitor selection change events.

Manages a collection of objects.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  System.ComponentModel.Design.DesignSurface To be added.

  The property should be set by the designer's user interface whenever a designer becomes the active window. The default implementation of this property works with the default implementation of the interface to notify interested parties that a new designer is now active. If you provide your own implementation of , you should override this property to notify your service appropriately. This property can be set to null, indicating that no designer is active.

  Gets or sets the active designer.

- Event
  2.0.0.0
  System.ComponentModel.Design.ActiveDesignSurfaceChangedEventHandler To be added.

  Occurs when the currently active designer changes.

- Method
  2.0.0.0
  System.ComponentModel.Design.DesignSurface To be added.

  Creates an instance of a design surface.

  A new design surface instance.

- Method
  2.0.0.0
  System.ComponentModel.Design.DesignSurface ``

  If you want to conveniently add additional per-designer services, use the parameter to provide a service provider for this design surface. The method creates a merged service provider that can satisfy service requests from both the given service provider as well as the itself. The method then passes this service provider into the method.

  After returns the design surface, the method tries to obtain the . If it is present, and if it is the instance of the service that provided by default, the method raises the event.

  Creates an instance of a design surface.

  A new design surface instance.

  A parent service provider. A new merged service provider will be created that will first ask this provider for a service, and then delegate any failures to the design surface manager object. This merged provider will be passed into the method.
- Method
  2.0.0.0
  System.ComponentModel.Design.DesignSurface ``

  The method is called by both methods. It is the implementation that actually creates the design surface. The default implementation just returns a new . You may override this method to provide a custom object that derives from the class.

  Implementation that creates the design surface.

  A new design surface instance.

  A service provider to pass to the design surface. This is either an instance of or an object that implements , and represents a merge between the service provider of the class and an externally passed provider.
- Event
  2.0.0.0
  System.ComponentModel.Design.DesignSurfaceEventHandler To be added.

  Occurs when a designer is created.

- Event
  2.0.0.0
  System.ComponentModel.Design.DesignSurfaceEventHandler To be added.

  Occurs when a designer is disposed.

- Property
  2.0.0.0
  System.ComponentModel.Design.DesignSurfaceCollection To be added.

  The property is implemented directly on top of , so if you provide your own implementation of that service, this property uses your implementation.

  Gets a collection of design surfaces.

- Method
  2.0.0.0
  System.Void

  The public method follows the standard pattern. Calling this method destroys the design surface manager. It also disposes the service container, which causes all services that implement to also be disposed. The protected version of this method is virtual and follows the normal pattern.

  Because does not have any native code to clean up, it does not have a finalizer that calls . If you need to call , you must add a finalizer yourself.

  Releases the resources used by the .

- Method
  2.0.0.0
  System.Void ``

  The public method follows the standard pattern. Calling this method destroys the design surface manager. It also disposes the service container, which causes all services that implement to also be disposed. The protected version of this method is virtual and follows the normal pattern.

  Because does not have any native code to clean up, it does not have a finalizer that calls . If you need to call , you must add a finalizer yourself.

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  2.0.0.0
  System.Object `` To be added.

  The method forwards to any service provider that was given to the design surface manager at construction time.

  Gets a service in the design surface manager’s service container.

  An object that implements, or is a derived class of, the given service type; otherwise, null if the service does not exist in the service container.

- Event
  2.0.0.0
  System.EventHandler

  This event is raised when the active designer's selection of component set changes. This is mapped through the interface.

  Occurs when the global selection changes.

- Property
  2.0.0.0
  System.ComponentModel.Design.ServiceContainer To be added. To be added.

  Gets the design surface manager's .